# (c) cavaliba.com - demo/cmdb - pipeline 

# login|email|external_id
# john|john@test.com|ID53

- classname: _pipeline
  keyname: user_import_csv
  displayname: user_import_csv
  is_enabled: true
  description: Pipeline import user.csv (|)
  content: |
      csv_delimiter: '|'
      classname: _user
      keyfield: login
      tasks: 
          # TASKNAME: ['CONDITION', 'taskopt', 'taskopt', '...']
          - field_lower: ['', email, login]
          - field_upper: ['', external_id]
          # - field_lower: login
          # - field_lower: 'displayname'
          # - field_add: test
          # - field_copy: ['firstname','firstname2']
          # - field_rename: ['lastname','LastName']
          # - field_delete: 'external_id'
          # - field_lower: 'displayname'
          # - field_upper: email    